#!/usr/bin/env bash
#
# Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
# Ministerpräsidenten des Landes Schleswig-Holstein
# Staatskanzlei
# Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
#
# Lizenziert unter der EUPL, Version 1.2 oder - sobald
# diese von der Europäischen Kommission genehmigt wurden -
# Folgeversionen der EUPL ("Lizenz");
# Sie dürfen dieses Werk ausschließlich gemäß
# dieser Lizenz nutzen.
# Eine Kopie der Lizenz finden Sie hier:
#
# https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
#
# Sofern nicht durch anwendbare Rechtsvorschriften
# gefordert oder in schriftlicher Form vereinbart, wird
# die unter der Lizenz verbreitete Software "so wie sie
# ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
# ausdrücklich oder stillschweigend - verbreitet.
# Die sprachspezifischen Genehmigungen und Beschränkungen
# unter der Lizenz sind dem Lizenztext zu entnehmen.
#


export QUARKUS_CONTAINER_IMAGE_NAME=user-manager
export QUARKUS_CONTAINER_IMAGE_TAG=build-latest
export QUARKUS_NATIVE_CONTAINER_RUNTIME=docker
cd user-manager-server
./mvnw clean install -D skipTests \
      -Pnative \
      -Dquarkus.container-image.registry=docker.ozg-sh.de \
      -Dquarkus.container-image.push=false \
      -Dquarkus.container-image.build=true \
      -Dquarkus.native.remote-container-build=false