/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.user.common;

import de.ozgcloud.user.UserIdProjection;
import io.quarkus.runtime.annotations.RegisterForReflection;

@RegisterForReflection(targets = {
		org.apache.logging.log4j.message.ReusableMessageFactory.class,
		org.apache.logging.log4j.message.DefaultFlowMessageFactory.class,
		UserIdProjection.class,
		org.jboss.resteasy.plugins.providers.multipart.ListMultipartReader.class,
		org.jboss.resteasy.plugins.providers.multipart.MimeMultipartProvider.class,
		org.jboss.resteasy.plugins.providers.DocumentProvider.class,
		org.jboss.resteasy.plugins.providers.jaxb.JAXBXmlSeeAlsoProvider.class,
		org.jboss.resteasy.plugins.providers.SourceProvider.class,
		org.jboss.resteasy.plugins.providers.multipart.XopWithMultipartRelatedWriter.class,
		org.jboss.resteasy.plugins.providers.jaxb.JAXBXmlRootElementProvider.class,
		org.jboss.resteasy.plugins.providers.multipart.MapMultipartFormDataReader.class,
		org.jboss.resteasy.plugins.providers.jaxb.XmlJAXBContextFinder.class,
		org.jboss.resteasy.plugins.providers.multipart.MultipartEntityPartReader.class,
		org.jboss.resteasy.plugins.providers.jaxb.MapProvider.class,
		org.jboss.resteasy.plugins.providers.multipart.MultipartRelatedReader.class,
		org.jboss.resteasy.plugins.providers.jaxb.CollectionProvider.class,
		org.jboss.resteasy.plugins.providers.multipart.XopWithMultipartRelatedReader.class,
		org.jboss.resteasy.plugins.providers.jaxb.JAXBXmlTypeProvider.class,
		org.jboss.resteasy.plugins.providers.multipart.MultipartReader.class,
		org.jboss.resteasy.plugins.providers.jaxb.JAXBElementProvider.class,
		org.jboss.resteasy.plugins.providers.multipart.MultipartRelatedWriter.class,
		org.jboss.resteasy.plugins.providers.multipart.MultipartFormAnnotationReader.class,
		org.jboss.resteasy.plugins.providers.sse.SseEventProvider.class,
		org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataReader.class,
		org.jboss.resteasy.plugins.providers.IIOImageProvider.class,
		org.jboss.resteasy.plugins.providers.multipart.MultipartWriter.class,
		org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataWriter.class,
		org.jboss.resteasy.plugins.providers.multipart.ListMultipartWriter.class,
		org.jboss.resteasy.plugins.providers.multipart.MapMultipartFormDataWriter.class,
		org.jboss.resteasy.plugins.providers.multipart.MultipartFormAnnotationWriter.class,

})
public class NativeConfig {
}
